# TdApi.CanBoostChatResult (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CanBoostChatResult

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CanBoostChatResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CanBoostChatResult

Direct Known Subclasses:
  `TdApi.CanBoostChatResultAlreadyBoosted`, `TdApi.CanBoostChatResultInvalidChat`, `TdApi.CanBoostChatResultOk`, `TdApi.CanBoostChatResultPremiumNeeded`, `TdApi.CanBoostChatResultPremiumSubscriptionNeeded`, `TdApi.CanBoostChatResultWaitNeeded`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CanBoostChatResult extends TdApi.Object permits TdApi.CanBoostChatResultOk, TdApi.CanBoostChatResultInvalidChat, TdApi.CanBoostChatResultAlreadyBoosted, TdApi.CanBoostChatResultPremiumNeeded, TdApi.CanBoostChatResultPremiumSubscriptionNeeded, TdApi.CanBoostChatResultWaitNeeded
This class is an abstract base class. Represents result of checking whether the current user can boost the specific chat.

## Constructor Summary

Constructors
Constructor
Description
`CanBoostChatResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CanBoostChatResult

public CanBoostChatResult()
Default class constructor.